Package org.codehaus.groovy.runtime.memoize

# Enum Class EvictableCache.EvictionStrategy

java.lang.Object
java.lang.Enum<EvictableCache.EvictionStrategy>
org.codehaus.groovy.runtime.memoize.EvictableCache.EvictionStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<EvictableCache.EvictionStrategy>`, `Constable`

Enclosing interface:
  EvictableCache<K,V>

public static enum EvictableCache.EvictionStrategy extends Enum<EvictableCache.EvictionStrategy>
Represents an eviction strategy for the cache with limited size

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIFO`
  Entries are evicted in the same order as they come in
  `LRU`
  The oldest entry(i.e.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EvictableCache.EvictionStrategy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EvictableCache.EvictionStrategy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LRU

    public static final EvictableCache.EvictionStrategy LRU
    The oldest entry(i.e. the Less Recently Used entry) will be evicted

  - ### FIFO

    public static final EvictableCache.EvictionStrategy FIFO
    Entries are evicted in the same order as they come in

- ## Method Details

  - ### values

    public static EvictableCache.EvictionStrategy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EvictableCache.EvictionStrategy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null